Skip to content

Reverse DNS

All operations require authentication.

8 operationsv1/ip/{ip}
Agent setup

List reversesProduction

GET
/1.0/ip/{ip}/reverse

List reverses. Returns the addresses of the block that have a reverse DNS (PTR) record, not the reverse names themselves.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Response

200ip[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/reverse \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

List reverse delegationsProduction

GET
/1.0/ip/{ip}/delegation

List reverse delegations. Returns the name servers the reverse zone of the IPv6 block is delegated to. Reverse delegation applies to IPv6 blocks only.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Response

200string[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/delegation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a reverseProduction

GET
/1.0/ip/{ip}/reverse/{ipReverse}

Get a reverse. Returns the reverse DNS (PTR) name set on this address of the block, with the address itself.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipReverse
required
ip

IP address (e.g., 192.0.2.0)

Response

200ReverseIpsuccessful operation
ipReverse
read-only
ip

IP address (e.g., 192.0.2.0)

reverse
read-only
string
—

Example uses ip = 192.0.2.0/24, ipReverse = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/reverse/{ipReverse} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "ipReverse": "192.0.2.0", "reverse": "string"}

Get a reverse delegationProduction

GET
/1.0/ip/{ip}/delegation/{target}

Get a reverse delegation. Returns the name server that this delegation points the reverse zone of the IPv6 block to.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

target
required
string

NS target for delegation

Response

200ReverseDelegationsuccessful operation
target
read-only
string

NS target for delegation

Example uses ip = 192.0.2.0/24, target = string

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/delegation/{target} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "target": "string"}

Create a reverseProduction

POST
/1.0/ip/{ip}/reverse

Create a reverse. Sets the reverse DNS name of one address of the block. The name must resolve to that address.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Request body (required)

ipReverse
required
ip

IP address (e.g., 192.0.2.0)

reverse
required
string
—

Response

200ReverseIpsuccessful operation
ipReverse
read-only
ip

IP address (e.g., 192.0.2.0)

reverse
read-only
string
—

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/reverse \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "ipReverse": "192.0.2.0", "reverse": "string"}

Create a reverse delegationProduction

POST
/1.0/ip/{ip}/delegation

Create a reverse delegation. Delegates the reverse zone of the IPv6 block to the given name server, and returns the new delegation.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Request body (required)

target
required
string

Target for reverse delegation on IPv6

Response

200ReverseDelegationsuccessful operation
target
read-only
string

NS target for delegation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/delegation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "target": "string"}

Delete a reverseProduction

DELETE
/1.0/ip/{ip}/reverse/{ipReverse}

Delete a reverse. Removes the reverse DNS (PTR) name set on this address of the block. The call returns no content.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipReverse
required
ip

IP address (e.g., 192.0.2.0)

Response

200—successful operation

Example uses ip = 192.0.2.0/24, ipReverse = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/reverse/{ipReverse} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a reverse delegationProduction

DELETE
/1.0/ip/{ip}/delegation/{target}

Delete a reverse delegation. Removes this name server from the reverse delegation of the IPv6 block. The call returns no content.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

target
required
string

NS target for delegation

Response

200—successful operation

Example uses ip = 192.0.2.0/24, target = string

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/delegation/{target} \
  -H "authorization: Bearer $OVH_TOKEN"